(function($){

Drupal.behaviors.unmask_password = {
  attach: function (context, settings) {
    $('#unmask_password_check_pass', context).once(function(){
      $(this).change(function(){
        var input = document.getElementById("unmask_password_field").childNodes[1];

        //Check if the div with id set as #unmask_password_field
        //has an input field of type password or text.
        if($("#unmask_password_field input[type=password]").length)
        {
          var inputObj = $("#unmask_password_field input[type=password]");
        } else {
          var inputObj = $("#unmask_password_field input[type=text]");
        };

        var element = inputObj.parent().html();
        var val = inputObj.val();
        element = element.replace(' name="', ' value="' + val  + '" name="');

        if (inputObj.attr('type') == 'password') {
          element = element.replace('type="password"', 'type="text"');
        } else {
          element = element.replace('type="text"', 'type="password"');
        }
        inputObj.parent().html(element);
      });
    });
  }
};

})(jQuery);
